---
apiVersion: v1
items:
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.130.0.30/23","fd02:0:0:3::1e/64"],"mac_address":"0a:58:0a:82:00:1e","gateway_ips":["10.130.0.1","fd02:0:0:3::1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.130.0.1"},{"dest":"172.30.0.0/16","nextHop":"10.130.0.1"},{"dest":"169.254.0.5/32","nextHop":"10.130.0.1"},{"dest":"100.64.0.0/16","nextHop":"10.130.0.1"},{"dest":"fd02::/48","nextHop":"fd02:0:0:3::1"},{"dest":"fd03::/112","nextHop":"fd02:0:0:3::1"},{"dest":"fd69::5/128","nextHop":"fd02:0:0:3::1"},{"dest":"fd98::/64","nextHop":"fd02:0:0:3::1"}],"role":"primary"}}'
      k8s.v1.cni.cncf.io/network-status: |-
        [{
            "name": "ovn-kubernetes",
            "interface": "eth0",
            "ips": [
                "10.130.0.30",
                "fd02:0:0:3::1e"
            ],
            "mac": "0a:58:0a:82:00:1e",
            "default": true,
            "dns": {}
        }]
      openshift.io/required-scc: restricted-v2
      openshift.io/scc: restricted-v2
      seccomp.security.alpha.kubernetes.io/pod: runtime/default
    creationTimestamp: "2025-10-27T12:27:50Z"
    generateName: cluster-olm-operator-78f47b778b-
    labels:
      name: cluster-olm-operator
      pod-template-hash: 78f47b778b
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:k8s.ovn.org/pod-networks: {}
      manager: cnvqe-070.lab.eng.tlv2.redhat.com
      operation: Update
      subresource: status
      time: "2025-10-27T12:27:50Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:openshift.io/required-scc: {}
            f:target.workload.openshift.io/management: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:name: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"46b22a49-4085-4a2a-a0ec-d1f5d79cb1f8"}: {}
        f:spec:
          f:containers:
            k:{"name":"cluster-olm-operator"}:
              .: {}
              f:args: {}
              f:command: {}
              f:env:
                .: {}
                k:{"name":"CATALOGD_IMAGE"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"KUBE_RBAC_PROXY_IMAGE"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"OPERATOR_CONTROLLER_IMAGE"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"OPERATOR_IMAGE_VERSION"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"OPERATOR_NAME"}:
                  .: {}
                  f:name: {}
                  f:value: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:name: {}
              f:ports:
                .: {}
                k:{"containerPort":8443,"protocol":"TCP"}:
                  .: {}
                  f:containerPort: {}
                  f:name: {}
                  f:protocol: {}
              f:resources:
                .: {}
                f:requests:
                  .: {}
                  f:cpu: {}
                  f:memory: {}
              f:securityContext:
                .: {}
                f:allowPrivilegeEscalation: {}
                f:capabilities:
                  .: {}
                  f:drop: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
              f:volumeMounts:
                .: {}
                k:{"mountPath":"/operand-assets"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
                k:{"mountPath":"/var/run/secrets/serving-cert"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
          f:dnsPolicy: {}
          f:enableServiceLinks: {}
          f:initContainers:
            .: {}
            k:{"name":"copy-catalogd-manifests"}:
              .: {}
              f:args: {}
              f:command: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:name: {}
              f:resources: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
              f:volumeMounts:
                .: {}
                k:{"mountPath":"/operand-assets"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
            k:{"name":"copy-operator-controller-manifests"}:
              .: {}
              f:args: {}
              f:command: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:name: {}
              f:resources: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
              f:volumeMounts:
                .: {}
                k:{"mountPath":"/operand-assets"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
          f:nodeSelector: {}
          f:priorityClassName: {}
          f:restartPolicy: {}
          f:schedulerName: {}
          f:securityContext:
            .: {}
            f:runAsNonRoot: {}
            f:seccompProfile:
              .: {}
              f:type: {}
          f:serviceAccount: {}
          f:serviceAccountName: {}
          f:terminationGracePeriodSeconds: {}
          f:tolerations: {}
          f:volumes:
            .: {}
            k:{"name":"cluster-olm-operator-serving-cert"}:
              .: {}
              f:name: {}
              f:secret:
                .: {}
                f:defaultMode: {}
                f:optional: {}
                f:secretName: {}
            k:{"name":"operand-assets"}:
              .: {}
              f:emptyDir: {}
              f:name: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:27:50Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:k8s.v1.cni.cncf.io/network-status: {}
      manager: multus-daemon
      operation: Update
      subresource: status
      time: "2025-10-27T12:27:52Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            k:{"type":"ContainersReady"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Initialized"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"PodReadyToStartContainers"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Ready"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
          f:containerStatuses: {}
          f:hostIP: {}
          f:hostIPs: {}
          f:initContainerStatuses: {}
          f:phase: {}
          f:podIP: {}
          f:podIPs:
            .: {}
            k:{"ip":"10.130.0.30"}:
              .: {}
              f:ip: {}
            k:{"ip":"fd02:0:0:3::1e"}:
              .: {}
              f:ip: {}
          f:startTime: {}
      manager: kubelet
      operation: Update
      subresource: status
      time: "2025-10-27T12:28:13Z"
    name: cluster-olm-operator-78f47b778b-2pdlj
    namespace: openshift-cluster-olm-operator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: ReplicaSet
      name: cluster-olm-operator-78f47b778b
      uid: 46b22a49-4085-4a2a-a0ec-d1f5d79cb1f8
    resourceVersion: "45703"
    uid: 7e326fab-f763-4c40-83eb-fa3f75df6e68
  spec:
    containers:
    - args:
      - start
      command:
      - /cluster-olm-operator
      env:
      - name: OPERATOR_NAME
        value: cluster-olm-operator
      - name: OPERATOR_IMAGE_VERSION
        value: 4.19.17
      - name: KUBE_RBAC_PROXY_IMAGE
        value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:bded7d9e3f796c4a84b78302430d3dd93ddce089074cb8fc044c0e17f0442c00
      - name: CATALOGD_IMAGE
        value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b894af7907e3233b014558224c982cf4aa964519ce9a7f0ff47ce48129b28ff6
      - name: OPERATOR_CONTROLLER_IMAGE
        value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:37b13d3eb12c9a9718212c291f217c67e47d03a0067324e05da7aa66fecfa2b3
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:8e2af20ce63a0dce03c126e18fb4ee4c6d1141583c6614aa3e50575aeaa364d8
      imagePullPolicy: IfNotPresent
      name: cluster-olm-operator
      ports:
      - containerPort: 8443
        name: metrics
        protocol: TCP
      resources:
        requests:
          cpu: 10m
          memory: 20Mi
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          drop:
          - ALL
        runAsUser: 1000340000
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: FallbackToLogsOnError
      volumeMounts:
      - mountPath: /var/run/secrets/serving-cert
        name: cluster-olm-operator-serving-cert
      - mountPath: /operand-assets
        name: operand-assets
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-api-access-lb9ff
        readOnly: true
    dnsPolicy: ClusterFirst
    enableServiceLinks: true
    initContainers:
    - args:
      - -c
      - cp -a /openshift/manifests /operand-assets/catalogd
      command:
      - /bin/sh
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b894af7907e3233b014558224c982cf4aa964519ce9a7f0ff47ce48129b28ff6
      imagePullPolicy: IfNotPresent
      name: copy-catalogd-manifests
      resources: {}
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          drop:
          - ALL
        runAsUser: 1000340000
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: FallbackToLogsOnError
      volumeMounts:
      - mountPath: /operand-assets
        name: operand-assets
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-api-access-lb9ff
        readOnly: true
    - args:
      - -c
      - cp -a /openshift/manifests /operand-assets/operator-controller
      command:
      - /bin/sh
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:37b13d3eb12c9a9718212c291f217c67e47d03a0067324e05da7aa66fecfa2b3
      imagePullPolicy: IfNotPresent
      name: copy-operator-controller-manifests
      resources: {}
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          drop:
          - ALL
        runAsUser: 1000340000
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: FallbackToLogsOnError
      volumeMounts:
      - mountPath: /operand-assets
        name: operand-assets
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-api-access-lb9ff
        readOnly: true
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    nodeSelector:
      kubernetes.io/os: linux
      node-role.kubernetes.io/master: ""
    preemptionPolicy: PreemptLowerPriority
    priority: 2000000000
    priorityClassName: system-cluster-critical
    restartPolicy: Always
    schedulerName: default-scheduler
    securityContext:
      fsGroup: 1000340000
      runAsNonRoot: true
      seLinuxOptions:
        level: s0:c18,c17
      seccompProfile:
        type: RuntimeDefault
    serviceAccount: cluster-olm-operator
    serviceAccountName: cluster-olm-operator
    terminationGracePeriodSeconds: 30
    tolerations:
    - effect: NoSchedule
      key: node-role.kubernetes.io/master
      operator: Exists
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 120
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 120
    - effect: NoSchedule
      key: node.kubernetes.io/memory-pressure
      operator: Exists
    volumes:
    - name: cluster-olm-operator-serving-cert
      secret:
        defaultMode: 420
        optional: true
        secretName: cluster-olm-operator-serving-cert
    - emptyDir: {}
      name: operand-assets
    - name: kube-api-access-lb9ff
      projected:
        defaultMode: 420
        sources:
        - serviceAccountToken:
            expirationSeconds: 3607
            path: token
        - configMap:
            items:
            - key: ca.crt
              path: ca.crt
            name: kube-root-ca.crt
        - downwardAPI:
            items:
            - fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
              path: namespace
        - configMap:
            items:
            - key: service-ca.crt
              path: service-ca.crt
            name: openshift-service-ca.crt
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2025-10-27T12:27:55Z"
      status: "True"
      type: PodReadyToStartContainers
    - lastProbeTime: null
      lastTransitionTime: "2025-10-27T12:28:05Z"
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: "2025-10-27T12:28:13Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2025-10-27T12:28:13Z"
      status: "True"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: "2025-10-27T12:27:50Z"
      status: "True"
      type: PodScheduled
    containerStatuses:
    - containerID: cri-o://0b73f69dab0c68ec14b2b9dc30c0d07741772a68f6aa3cf5333ace5983ec7298
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:8e2af20ce63a0dce03c126e18fb4ee4c6d1141583c6614aa3e50575aeaa364d8
      imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:8e2af20ce63a0dce03c126e18fb4ee4c6d1141583c6614aa3e50575aeaa364d8
      lastState: {}
      name: cluster-olm-operator
      ready: true
      restartCount: 0
      started: true
      state:
        running:
          startedAt: "2025-10-27T12:28:13Z"
      volumeMounts:
      - mountPath: /var/run/secrets/serving-cert
        name: cluster-olm-operator-serving-cert
      - mountPath: /operand-assets
        name: operand-assets
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-api-access-lb9ff
        readOnly: true
        recursiveReadOnly: Disabled
    hostIP: 10.46.248.41
    hostIPs:
    - ip: 10.46.248.41
    - ip: 2620:52:0:2ef8::29
    initContainerStatuses:
    - containerID: cri-o://eed5d5f65fd452e678a9c9a95dd188ae28a6bc002247314de3a6f37d04e83ede
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b894af7907e3233b014558224c982cf4aa964519ce9a7f0ff47ce48129b28ff6
      imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b894af7907e3233b014558224c982cf4aa964519ce9a7f0ff47ce48129b28ff6
      lastState: {}
      name: copy-catalogd-manifests
      ready: true
      restartCount: 0
      started: false
      state:
        terminated:
          containerID: cri-o://eed5d5f65fd452e678a9c9a95dd188ae28a6bc002247314de3a6f37d04e83ede
          exitCode: 0
          finishedAt: "2025-10-27T12:27:55Z"
          reason: Completed
          startedAt: "2025-10-27T12:27:55Z"
      volumeMounts:
      - mountPath: /operand-assets
        name: operand-assets
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-api-access-lb9ff
        readOnly: true
        recursiveReadOnly: Disabled
    - containerID: cri-o://e5394f4cc0e8ab5bad1ec00505dddac234b471e61b4633fb8aa8cde53faf07eb
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:37b13d3eb12c9a9718212c291f217c67e47d03a0067324e05da7aa66fecfa2b3
      imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:37b13d3eb12c9a9718212c291f217c67e47d03a0067324e05da7aa66fecfa2b3
      lastState: {}
      name: copy-operator-controller-manifests
      ready: true
      restartCount: 0
      started: false
      state:
        terminated:
          containerID: cri-o://e5394f4cc0e8ab5bad1ec00505dddac234b471e61b4633fb8aa8cde53faf07eb
          exitCode: 0
          finishedAt: "2025-10-27T12:28:04Z"
          reason: Completed
          startedAt: "2025-10-27T12:28:04Z"
      volumeMounts:
      - mountPath: /operand-assets
        name: operand-assets
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-api-access-lb9ff
        readOnly: true
        recursiveReadOnly: Disabled
    phase: Running
    podIP: 10.130.0.30
    podIPs:
    - ip: 10.130.0.30
    - ip: fd02:0:0:3::1e
    qosClass: Burstable
    startTime: "2025-10-27T12:27:50Z"
kind: PodList
metadata:
  resourceVersion: "2220476"
